# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_creds

type krb5_creds

Credentials structure including ticket, session key, and lifetime info.

## Declaration

typedef struct _krb5_creds krb5_creds

## Members

krb5_magic krb5_creds.magic

krb5_principal krb5_creds.client

  client’s principal identifier

krb5_principal krb5_creds.server

  server’s principal identifier

krb5_keyblock krb5_creds.keyblock

  session encryption key info

krb5_ticket_times krb5_creds.times

  lifetime info

krb5_boolean krb5_creds.is_skey

  true if ticket is encrypted in another ticket’s skey

krb5_flags krb5_creds.ticket_flags

  flags in ticket

krb5_address **krb5_creds.addresses

  addrs in ticket

krb5_data krb5_creds.ticket

  ticket string itself

krb5_data krb5_creds.second_ticket

  second ticket, if related to ticket (via DUPLICATE-SKEY or ENC-TKT-IN-SKEY)

krb5_authdata **krb5_creds.authdata

  authorization data